net.dontdrinkandroot.lastfm.api.model

## Class Streamable

- java.lang.Object
- - net.dontdrinkandroot.lastfm.api.model.Streamable

All Implemented Interfaces:
  Serializable

    public class Streamable
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Streamable(Element element)` Create streamable information from dom4j element.

### Method Summary

Methods
`Boolean` `getFullTrack()`
`Boolean` `getStreamable()`
`boolean` `isFullTrackStreamable()`
`boolean` `isStreamable()`
`void` `setFullTrack(Boolean fullTrack)`
`void` `setStreamable(Boolean streamable)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Streamable

    public Streamable(Element element)

Create streamable information from dom4j element.

Parameters:
  `element` - The dom4j element to convert.

### Method Detail

#### isStreamable

    public final boolean isStreamable()

#### isFullTrackStreamable

    public final boolean isFullTrackStreamable()

#### getStreamable

    public final Boolean getStreamable()

#### setStreamable

    public final void setStreamable(Boolean streamable)

#### getFullTrack

    public final Boolean getFullTrack()

#### setFullTrack

    public final void setFullTrack(Boolean fullTrack)